PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes
channel.h File Reference
`#include <ptlib/mutex.h>`
`#include "unix/ptlib/channel.h"`
Include dependency graph for channel.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PChannelStreamBuffer
class | PChannel
| Abstract class defining I/O channel semantics. More...
class | PChannel::AsyncContextBase
| Parameters for asynchronous I/O operation. More...
class | PChannel::AsyncContext
class | PNullChannel
| A channel that does nothing. More...

## Macros
Asynchronous I/O functions
#define | PDECLARE_AsyncNotifier(cls, fn) PDECLARE_NOTIFIER2(PChannel, cls, fn, PChannel::AsyncContext &)
#define | PCREATE_AsyncNotifier(fn) PCREATE_NOTIFIER2(fn, PChannel::AsyncContext &)

## Macro Definition Documentation

#define PCREATE_AsyncNotifier | ( |  | fn | ) | PCREATE_NOTIFIER2(fn, PChannel::AsyncContext &)

#define PDECLARE_AsyncNotifier | ( |  | cls,
|  |  | fn
| ) |  | PDECLARE_NOTIFIER2(PChannel, cls, fn, PChannel::AsyncContext &)